using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] abvg = s.Split();
            int[] nl = new int[2];
            nl[0] = Convert.ToInt32(abvg[0]);
            nl[1] = Convert.ToInt32(abvg[1]);
            string s1 = Console.ReadLine();
            string[] abvgd = s1.Split();
            int atsr = -1;
            int[] niz = new int[nl[0]];
            for(int i = 0; i < nl[0]; i++)
            {
                niz[i] = Convert.ToInt32(abvgd[i]);
                if (niz[i] <= nl[1])
                {
                    atsr = i + 1; break;
                }
            }
            Console.WriteLine(atsr);
            Console.ReadKey();
        }
    }
}